crash usb_modeswitch_dispaatcher

Bug #1631667 reported by frank77 on 2016-10-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usb-modeswitch (Ubuntu)
Undecided
Unassigned

Bug Description

ProblemType: Crash
Architecture: amd64
CrashCounter: 1
Date: Sat Oct 8 23:59:25 2016
DistroRelease: Ubuntu 16.04
ExecutablePath: /usr/sbin/usb_modeswitch_dispatcher
ExecutableTimestamp: 1444057573
ProcCmdline: /usr/sbin/usb_modeswitch_dispatcher --switch-systemd 1-1.4
ProcCwd: /
ProcEnviron:
 LANG=en_GB.UTF-8
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
ApportVersion: 2.20.1-0ubuntu2.1
Dependencies:
 adduser 3.113+nmu3ubuntu4
 apt 1.2.12~ubuntu16.04.1
 apt-utils 1.2.12~ubuntu16.04.1
 coreutils 8.25-2ubuntu2
 debconf 1.5.58ubuntu1
 debconf-i18n 1.5.58ubuntu1
 debianutils 4.7
 dpkg 1.18.4ubuntu1.1
 e2fslibs 1.42.13-1ubuntu1
 e2fsprogs 1.42.13-1ubuntu1
 gcc-5-base 5.4.0-6ubuntu1~16.04.2
 gcc-6-base 6.0.1-0ubuntu1
 gnupg 1.4.20-1ubuntu3.1
 gpgv 1.4.20-1ubuntu3.1
 init-system-helpers 1.29ubuntu2
 initscripts 2.88dsf-59.3ubuntu2
 insserv 1.14.0-5ubuntu3
 libacl1 2.2.52-3
 libapt-inst2.0 1.2.12~ubuntu16.04.1
 libapt-pkg5.0 1.2.12~ubuntu16.04.1
 libattr1 1:2.4.47-2
 libaudit-common 1:2.4.5-1ubuntu2
 libaudit1 1:2.4.5-1ubuntu2
 libblkid1 2.27.1-6ubuntu3.1
 libbz2-1.0 1.0.6-8
 libc6 2.23-0ubuntu3
 libcomerr2 1.42.13-1ubuntu1
 libdb5.3 5.3.28-11
 libfdisk1 2.27.1-6ubuntu3.1
 libgcc1 1:6.0.1-0ubuntu1
 libgcrypt20 1.6.5-2ubuntu0.2
 libgpg-error0 1.21-2ubuntu1
 libgpm2 1.20.4-6.1
 libkmod2 22-1ubuntu4
 liblocale-gettext-perl 1.07-1build1
 liblz4-1 0.0~r131-2ubuntu2
 liblzma5 5.1.1alpha+20120614-2ubuntu2
 libmount1 2.27.1-6ubuntu3.1
 libncurses5 6.0+20160213-1ubuntu1
 libncursesw5 6.0+20160213-1ubuntu1
 libpam-modules 1.1.8-3.2ubuntu2
 libpam-modules-bin 1.1.8-3.2ubuntu2
 libpam0g 1.1.8-3.2ubuntu2
 libpcre3 2:8.38-3.1
 libpipeline1 1.4.1-2
 libprocps4 2:3.3.10-4ubuntu2
 libreadline6 6.3-8ubuntu2
 libselinux1 2.4-3build2
 libsemanage-common 2.3-1build3
 libsemanage1 2.3-1build3
 libsepol1 2.4-2
 libsmartcols1 2.27.1-6ubuntu3.1
 libss2 1.42.13-1ubuntu1
 libstdc++6 5.4.0-6ubuntu1~16.04.2
 libsystemd0 229-4ubuntu10
 libtext-charwidth-perl 0.04-7build5
 libtext-iconv-perl 1.7-5build4
 libtext-wrapi18n-perl 0.06-7.1
 libtinfo5 6.0+20160213-1ubuntu1
 libudev1 229-4ubuntu10
 libusb-0.1-4 2:0.1.12-28
 libusb-1.0-0 2:1.0.20-1
 libustr-1.0-1 1.0.4-5
 libuuid1 2.27.1-6ubuntu3.1
 lsb-base 9.20160110ubuntu0.2
 mount 2.27.1-6ubuntu3.1
 multiarch-support 2.23-0ubuntu3
 passwd 1:4.2-3.1ubuntu5
 perl-base 5.22.1-9
 procps 2:3.3.10-4ubuntu2
 psmisc 22.21-2.1build1
 readline-common 6.3-8ubuntu2
 sensible-utils 0.0.9
 sysv-rc 2.88dsf-59.3ubuntu2
 sysvinit-utils 2.88dsf-59.3ubuntu2
 tar 1.28-2.1
 ubuntu-keyring 2012.05.19
 udev 229-4ubuntu10
 usb-modeswitch 2.2.5+repack0-1ubuntu1
 usb-modeswitch-data 20151101-1
 util-linux 2.27.1-6ubuntu3.1
 uuid-runtime 2.27.1-6ubuntu3.1
 zlib1g 1:1.2.8.dfsg-2ubuntu4

Title: usb_modeswitch_dispatcher crashed with SIGSEGV in strrchr()

Mantas Kriaučiūnas (mantas) wrote :

I've backported usb-modeswitch 2.4 and usb-modeswich-data 2017-01 from Ubuntu 17.04 (Zesty) to 16.04 LTS (Xenial), you can update packages from ppa:baltix-members , see
https://launchpad.net/~baltix-members/+archive

Please reboot after installing usb-modeswitch 2.4 and usb-modeswich-data 2017-01 from ppa:baltix-members , test if your USB modem works correctly with updated packages and write a comment here in any case (works or not).

Thanks,
Mantas Kriaučiūnas
Developer of Baltix GNU/Linux Ubuntu derivative

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers